# monitorable.hpp File Reference

`#include <vector>`
`#include <string>`
`#include <saga/saga/util.hpp>`
`#include <saga/saga/base.hpp>`
`#include <saga/saga/monitorable.hpp>`
`#include <saga/saga-defs.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
namespace | saga::detail
## Classes
struct | saga::detail::monitorable< Derived >
| The SAGA monitorable interface. More...